Bug 1675108 - hokuyoaist: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: hokuyoaist: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hokuyoaist
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-02-11 19:41 UTC by Fedora Release Engineering
Modified: 2019-07-31 22:40 UTC (History)
4 users (show)

Fixed In Version: hokuyoaist-3.0.2-27.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-14 02:07:42 UTC
releng: needinfo? (richmattes)
mhroncok: needinfo? (richmattes)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 19:41 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 19:42 UTC, Fedora Release Engineering
no flags Details
state.log (637 bytes, text/plain)
2019-02-11 19:42 UTC, Fedora Release Engineering
no flags Details
Full log from Copr (Python 3.8) (254.51 KB, text/plain)
2019-05-07 11:19 UTC, Miro Hrončok
no flags Details

Description Fedora Release Engineering 2019-02-11 19:41:57 UTC
hokuyoaist failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32399703


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix hokuyoaist at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
hokuyoaist will be orphaned. Before branching of Fedora 31,
hokuyoaist will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 19:41:59 UTC
Created attachment 1530486 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 19:42:01 UTC
Created attachment 1530487 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 19:42:02 UTC
Created attachment 1530488 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 22:02:57 UTC
-- Found PythonLibs: /usr/lib64/libpython3.7m.so (found suitable version "3.7.2", minimum required is "3") 
-- Could NOT find Boost
-- Boost libraries were not found. Cannot build Python bindings for HokuyoAIST.

The library name changed from libboost_python3 to libboost_python37 (but the checks should really use libboost_python%{python3_version_nodots} to be futureproof)

Comment 5 Fedora Release Engineering 2019-04-26 23:27:57 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Miro Hrončok 2019-05-07 11:17:16 UTC
This blocks the Python 3.8 rebuild:

Processing files: hokuyoaist-devel-3.0.2-28.fc31.x86_64
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.4rUO6v
+ umask 022
+ cd /builddir/build/BUILD
+ cd hokuyoaist-b87a88aa66853d3c9d901d4e6be729c5fe69aae0
+ DOCDIR=/builddir/build/BUILDROOT/hokuyoaist-3.0.2-28.fc31.x86_64/usr/share/doc/hokuyoaist-devel
+ export LC_ALL=C
+ LC_ALL=C
+ export DOCDIR
+ /usr/bin/mkdir -p /builddir/build/BUILDROOT/hokuyoaist-3.0.2-28.fc31.x86_64/usr/share/doc/hokuyoaist-devel
+ cp -pr build/doc/html /builddir/build/BUILDROOT/hokuyoaist-3.0.2-28.fc31.x86_64/usr/share/doc/hokuyoaist-devel
+ exit 0
Provides: hokuyoaist-devel = 3.0.2-28.fc31 hokuyoaist-devel(x86-64) = 3.0.2-28.fc31 pkgconfig(hokuyoaist) = 3.0.1
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /usr/bin/pkg-config libhokuyoaist.so.3()(64bit) pkgconfig(flexiport)
Processing files: python3-hokuyoaist-3.0.2-28.fc31.x86_64
error: File not found: /builddir/build/BUILDROOT/hokuyoaist-3.0.2-28.fc31.x86_64/usr/lib64/python3.8/site-packages/*.so

Comment 7 Miro Hrončok 2019-05-07 11:19:07 UTC
Created attachment 1565100 [details]
Full log from Copr (Python 3.8)

Comment 8 Fedora Release Engineering 2019-07-02 13:31:41 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 9 Fedora Update System 2019-07-03 03:07:38 UTC
FEDORA-2019-ea435c1d83 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea435c1d83

Comment 10 Fedora Update System 2019-07-04 00:58:09 UTC
hokuyoaist-3.0.2-27.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea435c1d83

Comment 11 Fedora Update System 2019-07-14 02:07:42 UTC
hokuyoaist-3.0.2-27.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.